using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.WeChat
{
    /// <summary>
    /// 企业微信客户字段类型枚举
    /// </summary>
    public enum CustomerFieldTypeEnum
    {
        /// <summary>
        /// 单行文本
        /// </summary>
        [EnumField("单行文本")]
        Text = 1,
        /// <summary>
        /// 多行文本
        /// </summary>
        [EnumField("多行文本")]
        MText = 2,
        /// <summary>
        /// 单选
        /// </summary>
        [EnumField("单选")]
        Radio = 3,
        /// <summary>
        /// 多选
        /// </summary>
        [EnumField("多选")]
        MultiSelect = 4,
        /// <summary>
        /// 日期
        /// </summary>
        [EnumField("日期")]
        Date = 5,
        /// <summary>
        /// 日期时间
        /// </summary>
        [EnumField("日期时间")]
        Time = 6,
        /// <summary>
        /// 数值
        /// </summary>
        [EnumField("数值")]
        Number = 7
    }
}
